Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046180
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Selfcheckoutmajoralways2021-03-30 12:122021-04-21 17:21
ReporterlmonrealView Statuspublic 
Assigned Torqueralta 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046180: SCO timeout and Save Removed Tickets not saving tickets

DescriptionNo sales order are generated in back office if I have the preference Save removed tickets and the sco timeout deletes the order
Steps To ReproduceVideo:
https://drive.google.com/file/d/19MgsdYoazoup-ZpcaBsjGwdi9LEj_uKb/view [^]

*Go to an environment with SCO Configured
*Check that there is a timeout configured for the continue buying
*Go to SCO
*Add a product
*Wait until the timeout triggers the deletion of the ticket
*Check that there is no sales order in back office
TagsNo tags attached.
Attached Filespatch file icon 0001-Issue-46180-19Q3-POS.patch [^] (11,281 bytes) 2021-04-21 17:20 [Show Content]
patch file icon 0001-Issue-46180-19Q3-SCO.patch [^] (1,491 bytes) 2021-04-21 17:21 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0127241)
hgbot (developer)
2021-04-13 05:11

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.selfcheckout/-/merge_requests/18 [^]
(0127358)
hgbot (developer)
2021-04-19 08:16

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.selfcheckout [^]
Changeset: a9103d04bc48c6ef5646e0ba27b9d73b2b72b82f
Author: Rafael Queralta <rafaelcuba81@gmail.com>
Date: 2021-04-06T12:41:29-04:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.selfcheckout/-/commit/a9103d04bc48c6ef5646e0ba27b9d73b2b72b82f [^]

Fixed BUG-46180: Save ticket in SCO when timeout deletes the order and Save Removed Tickets preference is enable

---
M web/org.openbravo.retail.selfcheckout/source/models/orderAPI.js
---
(0127359)
hgbot (developer)
2021-04-19 08:16

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.selfcheckout/-/merge_requests/18 [^]

- Issue History
Date Modified Username Field Change
2021-03-30 12:12 lmonreal New Issue
2021-03-30 12:12 lmonreal Assigned To => Retail
2021-03-30 12:12 lmonreal Triggers an Emergency Pack => No
2021-03-31 16:26 rqueralta Assigned To Retail => rqueralta
2021-04-13 05:11 hgbot Note Added: 0127241
2021-04-16 23:32 rqueralta Status new => scheduled
2021-04-19 08:16 hgbot Resolution open => fixed
2021-04-19 08:16 hgbot Status scheduled => closed
2021-04-19 08:16 hgbot Note Added: 0127358
2021-04-19 08:16 hgbot Note Added: 0127359
2021-04-21 17:20 rqueralta File Added: 0001-Issue-46180-19Q3-POS.patch
2021-04-21 17:21 rqueralta File Added: 0001-Issue-46180-19Q3-SCO.patch


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker